{
	description = "A Nix-flake-based C/C++ development environment";
	inputs = {
		nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
		flake-utils.url = "github:numtide/flake-utils";
		pogit.url = "github:y-syo/pogit";
	};

	outputs = inputs:{ nixpkgs, flake-utils, ... }: flake-utils.lib.eachDefaultSystem (system:
		let 
			pkgs = nixpkgs.legacyPackages.${system};
		in
		{
			devShells = ({
			    default = pkgs.mkShell.override
				{
				}
				{
					buildInputs = with pkgs; [
						gcc
						clang
					];

					packages = with pkgs; [
						clang
						gcc
						gdb
						norminette
						valgrind
						inputs.pogit.packages.${pkgs.system}.default
						git
					];
				};
			});
    });
}
